3
votes
1answer
85 views

Yum won't reinstall PHP on Amazon Linux

Ultimately, this question is about Yum and the Amazon Linux AMI (see the end for that part), but first I'll give some background to how I got into my situation. I installed PHP from source I am ...
0
votes
0answers
480 views

Install PHP-SOAP for PHP-FPM 5.5.4 CentOS 6

I have the following version of PHP installed (My server is 64-bit CentOS 6): php-common.x86_64 5.5.4-1.el6.remi This is running via PHP-FPM, if that makes a difference. I've discovered several ...
0
votes
1answer
107 views

Upgrading PHP on RedHat

I'm trying to upgrade my PHP from 5.3.13 to 5.5 following this post, which links http://www.if-not-true-then-false.com/2010/install-apache-php-on-fedora-centos-red-hat-rhel/. However, I got error ...
0
votes
3answers
647 views

newer libmysqlclient.so creates a conflicts with a php-mysql install

I have a working MySQL 5.6 server on a CentOS 6.4 I'm trying tp get PHP working as well, and to create a connection to the MySQL. As I understand I need the following components : php and php-mysql ...
0
votes
1answer
132 views

Upgrading ImageMagick RHEL 5 [closed]

We have been using ImageMagick for quite some time with out any trouble. However, today we can across an pdf we were trying to convert into a jpg thumbnail, which would fail: $ convert example.pdf ...
0
votes
3answers
3k views

Install xdebug for php 5.3.17 on centos 6.3 (final)

I'm really having difficulty finding out how to install xdebug for php 5.3.17 on centos 6.3. I've tried this link (for centos 5.6 admittedly) but had no luck. Can anyone point to the right RPM ...
-1
votes
2answers
2k views

What is the correct dependency rpm for libcurl.so.3

So I have a failed dependency and I am having trouble downloading the correct rpm. The error is libcurl.so.3()(64bit) is needed. I have Centos 6 and I have looking in this site for the correct rpm. ...
1
vote
2answers
2k views

Installing PHP 5.2.17 Dependencies on Centos 5

I have followed the wget method here hoping it was my solution: Howto install php 5.2.17 on centos 6 x86_64 However I get the following error when trying to install: # rpm -ivh ...
9
votes
5answers
42k views

How to install mcrypt for PHP 5.3.3 on CentOS 5.7 64 bit?

I installed php 5.3 and some modules using yum install php53-{module-name} But mcrypt did not work. I searched like this: yum list php* | grep mcry The only package that came up was ...
0
votes
2answers
439 views

connect mysql from php without yum command manually

I am trying to connect to mysql from php, it says i have not configured mysql-php, call to undefined function:mysql_connect();. My server is not registered with RHN, hence i cannot yum install ...
2
votes
2answers
230 views

upgrade php from 5.2.14 (compiled from source) to 5.3 (through yum install)

I previously setup my server by downloading php from php.net, and using the configure, make make install to get it onto my apache centos server. Now I want to upgrade and I'm not sure how to do it. ...
1
vote
2answers
757 views

Upgrade Plesk server to PHP 5.3.x

I have a Virtuozzo VPS running Plesk 8.x on CentOS 4.4 and I'd like to install that latest PHP 5.3 release on it. Ideally I'd like to run 4 and 5 side by side, but I'll settle for only running 5 if I ...
1
vote
2answers
2k views

How do you enable GD in PHP when installing via RPM?

We are working on a client's sever that has PHP running without GD. We would like to enable GD support in PHP on that machine. What is the most straightforward way to enable GD. Is there a way to do ...